using System;

namespace Polica
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] p = new int[n];
            int[] q = new int[n];
            int br = 0,pomocna;
            var ulaz = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                p[i] = int.Parse(ulaz[i]);
                q[i] = p[i];
            }
            int max = int.MinValue;
            for (int i = 0; i < n-1; i++)
            {
                for (int j = i + 1; j < n; j++)
                {
                    if (p[j] > max)
                    {
                        max = p[j];
                    }
                }
                for (int k = i + 1; k < n; k++)
                {
                    if (max > p[i] && p[k] == max)
                    {
                        pomocna = p[i];
                        p[i] = max;
                        p[k] = pomocna;
                        break;
                    }
                }
            }
            for (int i = 0; i < n; i++)
            {
                if (q[i] == p[i])
                {
                    br++;
                }
            }
            if(br==n)
            {
                pomocna = p[0];
                p[0] = p[1];
                p[1] = pomocna;
            }
            for (int i = 0; i < n; i++)
            {
                Console.Write(p[i] + " ");
            }
        }
    }
}